0

I have a site that we recently upgraded from 1.7 to 1.9 however when trying to register as a new customer I get the error message that the passwords must match. I have checked each of the files and its not a form key issue. I have also checked the sessions in Magento Admin and it all looks okay to me.

Any idea of what the issue could be?

0

Since 1.9.1.0, the code that sets the password confirmation in _getCustomerErrors method in the customer controller has changed from:

$customer->setConfirmation($request->getPost('confirmation'));

To:

$customer->setPasswordConfirmation($request->getPost('confirmation'));

I suggest you double check if you don't have a custom module that overrides that method or deals with login which could be the issue.

Also, I assume you flush the cache and recompile if you're using compilation.

  • 1
    Do you know where I would find that controller? As I will try that, as I also suspect it could be the hash in the database. I have tried flushing the cache and reindex. – Rob B Nov 15 '16 at 17:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.